globus_gram_protocol_job_state(3)

NAME
globus_gram_protocol_job_state - GRAM Job States

 - GRAM Job States.

SYNOPSIS

  Enumerations

enum globus_gram_protocol_job_state_t { GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING =1, GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE =2, GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED =4, GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE =8, GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED =16, GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED =32, GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN =64, GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT =128, GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL =0xFFFFF }

Detailed Description

GRAM Job States.

The globus_gram_protocol_job_state_t contains information about the current state of the job as known by the job manager. Job state changes are sent by the Job Manager to all registered clients. A client may ask for information from the job manager via the status request.

Enumeration Type Documentation

  enum globus_gram_protocol_job_state_t
GRAM Job States

Enumerator

GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING
    The job is waiting for resources to become available to run.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE
    The job has received resources and the application is executing.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED
    The job terminated before completion because an error, user-triggered cancel, or system-triggered cancel.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE
    The job completed successfully

GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED
    The job has been suspended. Resources which were allocated for this job may have been released due to some scheduler-specific reason.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED
    The job has not been submitted to the scheduler yet, pending the reception of the GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST signal from a client.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN
    The job manager is staging in files to run the job.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT
    The job manager is staging out files generated by the job.

GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL
    A mask of all job states.

Author

Generated automatically by Doxygen for globus_gram_protocol from the source code.